package de.janschejbal.p2pbluetoothtest.util;

import android.content.Intent;
import android.os.Bundle;

public class DebugEncoder {
	public static String encode(Bundle extras) {
		if (extras == null) return "[no extras]";
		StringBuffer buf = new StringBuffer();
		buf.append("[");
		boolean first = false;
		for (String key : extras.keySet()) {
			if (first) buf.append("; ");
			first = true;
			Object o = extras.get(key);
			if (o == null) o = "(NULL)";
			buf.append(key + "=" + o.toString());
		}
		buf.append("]");
		return buf.toString();
	}
	
	public static String encode(Intent intent) {
		return intent.getAction() + " " + encode(intent.getExtras());
	}
}
